For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of all users
      • POSTCreate a user
      • GETGet a user by id
      • PATCHPatch a user password or username
      • GETGet all account memberships for a user
      • POSTAdd an account membership for a user
      • PATCHPatch an account membership
      • GETGet all the team memberships of a user
      • POSTGive a user membership to a team, granting access to all the accounts the team has access to
      • GETSearch for a user, using provided filters
      • POSTRevoke a user invite by username
      • POSTInvite a user
  • Transaction API
  • Event API
LoginSandbox
Identity APIUsers

Invite a user

POST
/v:version/users/invite
POST
/v:version/users/invite
$curl -X POST https://test.api.solvimon.com/v1/users/invite \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "username": "johndoe@solvimon.com",
> "entity_id": "enti_123456789",
> "account_memberships": [
> {
> "account_id": "plat_123456789",
> "type": "USER",
> "roles": [
> {
> "name": "Administrator"
> },
> {
> "name": "Quote Viewer"
> }
> ]
> }
> ],
> "team_memberships": [
> {}
> ]
>}'
1{
2 "username": "string",
3 "entity_id": "string",
4 "account_memberships": [
5 {
6 "object_type": "string",
7 "id": "string",
8 "account_id": "string",
9 "account": {
10 "id": "string",
11 "reference": "string",
12 "account_type_code": "string",
13 "environment": "string",
14 "account_group_id": "string",
15 "parent_id": "string",
16 "platform_id": "string"
17 },
18 "type": "ADMIN",
19 "role_ids": [
20 "string"
21 ],
22 "account_reference": "string",
23 "environment": "string",
24 "roles": [
25 {
26 "object_type": "string",
27 "id": "string",
28 "name": "string",
29 "description": "string",
30 "entity_id": "string",
31 "child_role_ids": [
32 "string"
33 ],
34 "child_roles": [
35 {}
36 ]
37 }
38 ]
39 }
40 ],
41 "team_memberships": [
42 {
43 "team_id": "string",
44 "start_at": "2024-01-15T09:30:00Z",
45 "end_at": "2024-01-15T09:30:00Z",
46 "account_memberships": [
47 {
48 "object_type": "string",
49 "id": "string",
50 "account_id": "string",
51 "account": {
52 "id": "string",
53 "reference": "string",
54 "account_type_code": "string",
55 "environment": "string",
56 "account_group_id": "string",
57 "parent_id": "string",
58 "platform_id": "string"
59 },
60 "type": "ADMIN",
61 "role_ids": [
62 "string"
63 ],
64 "account_reference": "string",
65 "environment": "string",
66 "roles": [
67 {
68 "object_type": "string",
69 "id": "string",
70 "name": "string",
71 "description": "string",
72 "entity_id": "string",
73 "child_role_ids": [
74 "string"
75 ],
76 "child_roles": [
77 {}
78 ]
79 }
80 ]
81 }
82 ]
83 }
84 ]
85}
Requires the USER.MORTAL.CREATE permission.
Was this page helpful?
Previous

Get a list of all roles

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
usernamestringOptional
entity_idstringOptional
account_membershipslist of objectsOptional
team_membershipslist of objects or nullOptional

Response

OK
usernamestring
entity_idstring
account_membershipslist of objects
team_membershipslist of objects or null

Errors

401
Unauthorized Error
403
Forbidden Error